gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server Class
Server Methods
KillAsync Method
ShutdownAsync Method
Start Method

Server ShutdownAsync Method

Requests server shutdown and when there are no more calls being serviced, cleans up used resources. The returned task finishes when shutdown procedure is complete.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Task ShutdownAsync()

    Public Function ShutdownAsync As Task

    public:
    Task^ ShutdownAsync()

    member ShutdownAsync : unit -> Task

#### Return Value

Type: Task
See Also

#### Reference

Server Class
Grpc.Core Namespace